// 未对刀线进行缩放
function add(arr) {
  // arr 宽 高 id 出血线线宽度
  documentColorSpace = DocumentColorSpace.CMYK;
  var docPreset = new DocumentPreset();
  docPreset.width = arr[0] * 2.834645669291339;
  docPreset.height = arr[1] * 2.834645669291339;
  var units = RulerUnits.Millimeters;
  docPreset.units = units;
  docPreset.title = arr[4];
  var doc = documents.addDocument(documentColorSpace, docPreset);

  // var doc = documents.add(documentColorSpace, arr[0], arr[1]);
  var noColor = new NoColor();
  doc.defaultFillColor = noColor;
  firstLayer = app.activeDocument.layers[0];
  firstLayer.name = "请勿在此设计,删改或移动到其他图层内" + "-" + arr[2] + "-" + arr[3];
  // firstLayer.locked = true
  var zOrderPosition = firstLayer.zOrderPosition;
  var name = activeDocument.name;
  // knifeLayerAdd = app.activeDocument.layers.add()
  // knifeLayerAdd.name = "包小盒刀线图层"
  return JSON.stringify(name);
  // firstLayer.locked = true
}

function changeName() {
  alert(1);
  var docPreset = app.activeDocument;
  docPreset.name = "123456789";
  alert(2);
}

function addOnly() {
  documents.add();
  app.activeDocument.layers[0].name = "请勿在此设计,删改或移动到其他图层内";
}

function getAiBoardWidthHeight() {
  doc = app.activeDocument;
  obj = new Object();
  obj.width = doc.width;
  obj.height = doc.height;
  return JSON.stringify(obj);
}
function layersAdd() {
  if (app.documents.length > 0) {
    // firstLayer = app.activeDocument.layers[0]
    // firstLayer.locked = true
    layerAdd = app.activeDocument.layers.add();
    layerAdd.name = "可在此图层设计,或自行新建其他图层";
    layerAdd.zOrder(ZOrderMethod.SENDBACKWARD);
    var layers = app.activeDocument.layers;
    var layer = layers[0];
    layer.locked = true;

    // userGroupItemsAdd(layers, ["图片编组", "路径编组", '文字编组'])
    //  pathNum = app.activeDocument.pathItems.length
    // return JSON.stringify(pathNum)
  }
}
function layersMarkAdd() {
  if (app.documents.length > 0) {
    layers = app.activeDocument.layers.add();
    layers.name = "定位图层";
  }
}
function userGroupItemsAdd(layers, groupsItemName) {
  for (i = 0; i < groupsItemName.length; i++) {
    groupItem = layers.groupItems.add();
    groupItem.name = groupsItemName[i];
  }
}
function setEntirePath(arr) {
  if (app.documents.length > 0) {
    doc = app.activeDocument.activeLayer;
    line = doc.pathItems.add();
    // line.locked = true;
    line.stroked = true;
    line.wrapped = false;
    line.setEntirePath(arr[0]);
    var newRGBColor = new RGBColor();
    newRGBColor.red = arr[1][0];
    newRGBColor.green = arr[1][1];
    newRGBColor.blue = arr[1][2];
    line.strokeColor = newRGBColor;
  }
}
function setEntirePath2(arr) {
  if (app.documents.length > 0) {
    doc = app.activeDocument.activeLayer;
    for (i = 0; i < arr[0].length; i++) {
      line = doc.pathItems.add();
      // line.locked = true;
      line.setEntirePath(arr[0][i]);
      var newRGBColor = new RGBColor();
      newRGBColor.red = arr[1][0];
      newRGBColor.green = arr[1][1];
      newRGBColor.blue = arr[1][2];
      line.strokeColor = newRGBColor;
      line.resize(100, 100, true, true, true, true, 50);
    }
  }
}
function showCutLayer(arr) {
  if (app.documents.length > 0) {
    for (i = 0; i < arr.length; i++) {
      doc = app.activeDocument;
      line = doc.pathItems.add();

      // line.locked = true;
      line.stroked = true;
      line.setEntirePath(arr1);
    }
  }
}
function resize() {
  doc = app.activeDocument;
  for (i = 0; i < doc.pathItems.length; i++) {
    pathRef = doc.pathItems[i];
    pathRef.resize(100, 100, true, true, true, true, 50);
  }
  var layers = doc.layers;
  var firstLayer = layers[0];
  var name = firstLayer.name;
  var length = doc.pathItems.length;
  firstLayer.name = name + "-" + JSON.stringify(length);
  return doc.pathItems.length;
}
function showCurveNew(infoList) {
  if (app.documents.length > 0) {
    doc = app.activeDocument.activeLayer;
    line = doc.pathItems.add();
    var newRGBColor = new RGBColor();
    newRGBColor.red = infoList[1][0];
    newRGBColor.green = infoList[1][1];
    newRGBColor.blue = infoList[1][2];
    line.strokeColor = newRGBColor;
    line.stroked = true;
    line.setEntirePath([infoList[0].first]);
  }
}
function showBeserNew(infoList) {
  doc = app.activeDocument.activeLayer;
  newPointItems = doc.pathItems;
  // var noColor = new NoColor();
  // newPointItems[0].fillColor = noColor;
  item = newPointItems[0].pathPoints.add();
  // item.locked = true;
  item.anchor = infoList[0].second;
  item.leftDirection = infoList[0].leftDirection;
  item.rightDirection = infoList[0].rightDirection;
  item.pointType = PointType.SMOOTH;
  var newRGBColor = new RGBColor();
  newRGBColor.red = infoList[1][0];
  newRGBColor.green = infoList[1][1];
  newRGBColor.blue = infoList[1][2];
  item.strokeColor = newRGBColor;
}
function changeToNoColor() {
  doc = app.activeDocument;
  pathItems = doc.pathItems;
  for (i = 0; i < pathItems.length; i++) {
    var noColor = new NoColor();
    pathItems[i].fillColor = noColor;
    redraw();
  }
}
//画角标  颜色为透明
function markInfoAdd(arr) {
  // if (app.documents.length > 0) {
  //     doc = app.activeDocument;
  //     var layer = app.activeDocument.layers.add()
  //     layer.name = "包小盒定位图层"
  //     for (i = 0; i < arr[0].length; i++) {
  //         line = doc.pathItems.add();
  //         // line.locked = true;
  //         line.setEntirePath(arr[0][i]);
  //         // var newRGBColor = new NoColor();
  //         // line.strokeColor = newRGBColor
  //         // line.resize(100, 100, true, true, true, true, 50)

  //         var newRGBColor = new RGBColor();
  //         newRGBColor.red = 255;
  //         newRGBColor.green = 255;
  //         newRGBColor.blue = 255;
  //         line.strokeColor = newRGBColor
  //         // line.resize(100, 100, true, true, true, true, 10)

  //     }
  //     return "1"

  // }

  // if (app.documents.length > 0) {
  //     var layers = app.activeDocument.layers
  //     for (i = 0; i < layers.length; i++) {
  //         var layer = layers[i]
  //         if (layer.name.indexOf("用户图层") != -1) {
  //             var lays = layer.layers
  //             var lay = lays.add()
  //             lay.name = "包小盒定位图层"
  //             var pathItems = lay.pathItems
  //             for (i = 0; i < arr[0].length; i++) {
  //                 line = pathItems.add();
  //                 // line.locked = true;
  //                 line.setEntirePath(arr[0][i]);
  //                 // var newRGBColor = new NoColor();
  //                 // line.strokeColor = newRGBColor
  //                 // line.resize(100, 100, true, true, true, true, 50)

  //                 var newRGBColor = new RGBColor();
  //                 newRGBColor.red = 255;
  //                 newRGBColor.green = 255;
  //                 newRGBColor.blue = 255;
  //                 line.strokeColor = newRGBColor
  //                 // line.resize(100, 100, true, true, true, true, 10)
  //             }

  //         }

  //     }
  // }
  // return "1"

  if (app.documents.length > 0) {
    var layers = app.activeDocument.layers;
    var position = layers.add();
    position.name = "position";
    var layer = position;
    var lays = layer.layers;
    var lay = lays.add();
    lay.name = "包小盒定位图层";
    var pathItems = lay.pathItems;
    for (i = 0; i < arr[0].length; i++) {
      line = pathItems.add();
      line.setEntirePath(arr[0][i]);
      var newRGBColor = new RGBColor();
      newRGBColor.red = 255;
      newRGBColor.green = 255;
      newRGBColor.blue = 255;
      line.strokeColor = newRGBColor;
    }
  }
  return "1";
}
function addRespectiveLayer(layerName) {
  doc = app.activeDocument;
  var layers = doc.layers;
  var layer = layers[0];
  layerAdd = layer.layers.add();
  layerAdd.name = layerName;
  //   layerAdd.zOrder(ZOrderMethod.SENDBACKWARD);
  //   var lays = app.activeDocument.layers;
  //   var lay = lays[0];
  //   lay.locked = true;
}
