function embedPicture(info) {
  rasterFile = File(info.path);
  myDoc = app.activeDocument.activeLayer;
  // for ( i = 0; i < myDoc.length; i++) {
  //     if (myDoc[i].name == '图片编组') {
  myPlacedItem = myDoc.placedItems.add();
  myPlacedItem.file = rasterFile;
  myPlacedItem.position = info.position;
  // myPlacedItem.width = info.width;
  // myPlacedItem.height = info.height;
  myPlacedItem.embed();
  //     }
  // }
  // rasterFile.encoding = "BINARY"
}
function textFrame(text) {
  myDoc = app.activeDocument.activeLayer.groupItems;
  for (i = 0; i < myDoc.length; i++) {
    if (myDoc[i].name == "文字编组") {
      textRef = myDoc[i].textFrames.add();
      textRef.contents = text;
      textRef.position = Array(306, 386);
      textRef.textRange.size = 40;
    }
  }
}
function base64(theFile) {
  startDate = new Date();
  $.writeln("Base64 encode start time= " + startDate);
  //    theFile = new File(fileNm);
  theFile.encoding = "binary";
  theFile.open("r");
  binStr = theFile.read();
  theFile.close();
  flNm = "tmpfile.txt";
  tmpFile = new File(flNm);
  tmpFile.open("w");
  szB64 = new Array();
  keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"; // Accepted b64 chars
  for (j = 0; j < 64; j++) {
    szB64[j] = keyStr.charAt(j);
  }
  ecdStr = "";
  counter = 0;
  // 返回值
  res = "";
  binLen = binStr.length - (binStr.length % 3);
  for (i = 0; i < binLen; i += 3) {
    // Get 3 chars starting at the begining of the binary string
    ecdStr += szB64[binStr.charCodeAt(i) >> 2];
    ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
    ecdStr += szB64[((binStr.charCodeAt(i + 1) & 15) << 2) | (binStr.charCodeAt(i + 2) >> 6)];
    ecdStr += szB64[binStr.charCodeAt(i + 2) & 0x3f];
    counter += 4;
    if (counter > 75) {
      // when hit the limit, write the line and reset counter
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      ecdStr = "";
      counter = 0;
    }
  }
  switch (binStr.length % 3) {
    case 2: //padding 1 characters.
      ecdStr += szB64[binStr.charCodeAt(i) >> 2];
      ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
      ecdStr += szB64[((binStr.charCodeAt(i + 1) & 15) << 2) | (binStr.charCodeAt(i + 2) >> 6)];
      ecdStr += "=";
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
    case 1: //padding 2 character.
      ecdStr += szB64[binStr.charCodeAt(i) >> 2];
      ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
      ecdStr += "==";
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
    default:
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
  }
  tmpFile.close();
  return res;
}
function testBtn(e) {
  if (app.documents.length > 0) {
    doc = app.activeDocument;
    if (doc.layers.length > 0 && doc.layers.parent.activeLayer.name != "图层 1") {
      //  new Function(`return ${e}`)();
      eval(e + "()");
    } else {
      alert("请不要修改本图层！");
    }
  }
}
function exportPng(path) {
  doc = app.activeDocument;
  for (i = 0; i < doc.layers.length; i++) {
    if (doc.layers[i].name == "删改或移动") {
      // alert('导出自定义设计元素')
      doc.layers[i].remove();
      exportOptions = new ExportOptionsPNG8();
      type = ExportType.PNG8;
      fileSpec = new File(path);
      exportOptions.colorCount = 128;
      exportOptions.antiAliasing = false;
      exportOptions.transparency = false;
      exportOptions.saveAsHTML = true;
      app.activeDocument.exportFile(fileSpec, type, exportOptions);
      undo();
    }
  }
}
//预览图
function ExportAllPNG8(path) {
  exportOptions = new ExportOptionsPNG24();
  type = ExportType.PNG24;
  fileSpec = new File(path);
  exportOptions.colorCount = 256;
  exportOptions.antiAliasing = false;
  exportOptions.transparency = false;
  exportOptions.saveAsHTML = true;
  app.activeDocument.exportFile(fileSpec, type, exportOptions);
  return "1";
}
function undo() {
  app.documents.undo();
}
function redo() {
  app.documents.redo();
}
function deleteFile(info) {
  embedPicture(info);
  doc = app.activeDocument;
  file = doc.rasterItems[0].file;
  infoList = [];
  obj = new Object();
  obj.file = "data:image/png;base64," + base64(file);
  obj.width = doc.rasterItems[0].width;
  obj.height = doc.rasterItems[0].height;
  infoList.push(obj);
  file.remove();
  last = doc.rasterItems[0];
  last.remove();
  return JSON.stringify(infoList);
}
function getAiInstallPath() {
  doc = app.path;
  obj = new Object();
  obj.path = doc.path;
  return JSON.stringify(obj);
}
//处理用户添加的数据
function getFontsJson() {
  // alert(app.activeDocument.textFrames.length)
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.textFrames.length; i++) {
    obj = new Object();
    obj.width = doc.textFrames[i].width;
    obj.height = doc.textFrames[i].height;
    obj.position = doc.textFrames[i].position;
    obj.contents = doc.textFrames[i].contents;
    obj.top = doc.textFrames[i].top;
    obj.left = doc.textFrames[i].left;
    obj.name = doc.textFrames[i].textRange.characterAttributes.textFont.name;
    obj.family = doc.textFrames[i].textRange.characterAttributes.textFont.family;
    obj.style = doc.textFrames[i].textRange.characterAttributes.textFont.style;
    obj.typename = doc.textFrames[i].textRange.characterAttributes.textFont.typename;
    obj.size = doc.textFrames[i].textRange.words[0].characters[0].size;
    obj.type = "font";
    obj.typename = doc.textFrames[i].typename;
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
function getPutJson() {
  var infoList = [];
  var doc = app.activeDocument;
  for (var i = 0; i < doc.rasterItems.length; i++) {
    var file = doc.rasterItems[i].file;
    var obj = new Object();
    obj.width = doc.rasterItems[i].width;
    obj.height = doc.rasterItems[i].height;
    obj.position = doc.rasterItems[i].position;
    obj.top = doc.rasterItems[i].top;
    obj.left = doc.rasterItems[i].left;
    obj.fileName = doc.rasterItems[i].file.name;
    obj.type = "img";
    obj.file = "data:image/png;base64," + base64(file);
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
function getOuterJson() {
  var infoList = [];
  var doc = app.activeDocument;
  for (var i = 0; i < doc.placedItems.length; i++) {
    var file = doc.placedItems[i].file;
    var obj = new Object();
    obj.width = doc.placedItems[i].width;
    obj.height = doc.placedItems[i].height;
    obj.position = doc.placedItems[i].position;
    obj.top = doc.placedItems[i].top;
    obj.left = doc.placedItems[i].left;
    obj.type = "img";
    obj.fileName = doc.placedItems[i].file.name;
    obj.file = "data:image/png;base64," + base64(file);
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
//处理复合路径的svg
function compoundPathItems() {
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.compoundPathItems.length; i++) {
    obj = new Object();
    lineListX = new Array();
    lineListY = new Array();
    obj.width = doc.compoundPathItems[i].width;
    obj.height = doc.compoundPathItems[i].height;
    obj.blendingMode = doc.compoundPathItems[i].blendingMode;
    for (s = 0; s < doc.compoundPathItems[i].pathItems.length; s++) {
      lineListX[s] = doc.compoundPathItems[i].pathItems[s].left;
      lineListY[s] = doc.compoundPathItems[i].pathItems[s].top;
    }
    lineListX[lineListX.length] = doc.compoundPathItems[i].left;
    lineListY[lineListY.length] = doc.compoundPathItems[i].top;
    obj.lineListX = lineListX;
    obj.lineListY = lineListY;
    obj.type = "img";
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}

//svg作为图片导出并保存
function exportSvgToPng(path) {
  doc = app.activeDocument;
  placedItems = doc.placedItems;
  rasterItems = doc.rasterItems;
  //  compoundPathItems = doc.compoundPathItems
  // compoundPathItems.removeAll()
  placedItems.removeAll();
  rasterItems.removeAll();
  for (i = 0; i < doc.layers.length; i++) {
    if (doc.layers[i].name == "删改或移动") {
      // alert('导出自定义设计元素')
      doc.layers[i].remove();
      exportOptions = new ExportOptionsPNG24();
      type = ExportType.PNG24;
      fileSpec = new File(path);
      exportOptions.colorCount = 256;
      exportOptions.antiAliasing = false;
      exportOptions.transparency = false;
      exportOptions.saveAsHTML = true;
      app.activeDocument.exportFile(fileSpec, type, exportOptions);
      undo();
    }
  }
  // undo()
  // undo()
}

//处理单路径的svg
function handleLonePathItems(pathItemLn) {
  infoList = [];
  doc = app.activeDocument;
  //当前刀线的数量
  nowPathLn = doc.pathItems.length;
  for (i = 0; i < nowPathLn - pathItemLn; i++) {
    obj = new Object();
    obj.width = doc.pathItems[i].width;
    obj.height = doc.pathItems[i].height;
    obj.position = doc.pathItems[i].position;
    obj.top = doc.pathItems[i].top;
    obj.left = doc.pathItems[i].left;
    obj.visibleBounds = doc.pathItems[i].visibleBounds;
    obj.type = "img";
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}

//每个置入的svg作为图片单独导出并保存
function exportSvgToPngSingle(infos) {
  var a = app.activeDocument;
  var groupItems = a.groupItems;
  if (groupItems && groupItems.length) {
    groupItems[infos.index].selected = true;

    if (infos.e2 && infos.e2 > 0) {
      var docAssets = a.assets;
      var assetIDArray = new Array();
      var itemToExport = new ExportForScreensItemToExport();
      itemToExport.artboards = "";
      itemToExport.document = false;
      var assetArray = new Array();
      for (var i = 0; i < app.selection.length; i++) {
        var asset = docAssets.add(app.selection[i]);
        assetIDArray.push(asset.assetID);
      }
      itemToExport.assets = assetIDArray;
      var options = new ExportForScreensOptionsWebOptimizedSVG();
      app.activeDocument.exportForScreens(
        File("/Applications"),
        ExportForScreensType.SE_SVG,
        options,
        itemToExport
      );
    }
    var exportOptions = new ExportOptionsPNG8();
    exportOptions.colorCount = 8;
    exportOptions.transparency = true;
    var fileSpec = new File(infos.path);
    //导出画板中选中的内容
    app.activeDocument.exportSelectionAsPNG(fileSpec);
    var obj = new Array(groupItems[infos.index].position[0], groupItems[infos.index].position[1]);
    // undo()
    return JSON.stringify(obj);
  } else {
    var obj = new Array();
    return JSON.stringify(obj);
  }
}

//获取置入的svg最外层图层的位置
function getUserGroupItemsIndex() {
  a = app.activeDocument;
  groupItems = a.groupItems;
  list = new Array();
  if (groupItems && groupItems.length) {
    for (i = 0; i < groupItems.length; i++) {
      list[i] = groupItems[i].parent.typename;
    }
  }
  return JSON.stringify(list);
}

function getNewPathJson(num) {
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.pathItems.length; i++) {
    obj = new Object();
    obj.width = doc.pathItems[i].width;
    obj.height = doc.pathItems[i].height;
    // obj.position = doc.pathItems[i].position;
    obj.top = doc.pathItems[i].top;
    obj.left = doc.pathItems[i].left;
    obj.controlBounds = doc.pathItems[i].controlBounds;
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
