function embedPicture(info) {
  rasterFile = File(info.path);
  myDoc = app.activeDocument.activeLayer;
  // for ( i = 0; i < myDoc.length; i++) {
  //     if (myDoc[i].name == '图片编组') {
  myPlacedItem = myDoc.placedItems.add();
  myPlacedItem.file = rasterFile;
  myPlacedItem.position = info.position;
  // myPlacedItem.width = info.width;
  // myPlacedItem.height = info.height;
  myPlacedItem.embed();
  //     }
  // }
  // rasterFile.encoding = "BINARY"
}
function textFrame(text) {
  myDoc = app.activeDocument.activeLayer.groupItems;
  for (i = 0; i < myDoc.length; i++) {
    if (myDoc[i].name == "文字编组") {
      textRef = myDoc[i].textFrames.add();
      textRef.contents = text;
      textRef.position = Array(306, 386);
      textRef.textRange.size = 40;
    }
  }
}
function base64(theFile) {
  startDate = new Date();
  $.writeln("Base64 encode start time= " + startDate);
  //    theFile = new File(fileNm);
  theFile.encoding = "binary";
  theFile.open("r");
  binStr = theFile.read();
  theFile.close();
  flNm = "tmpfile.txt";
  tmpFile = new File(flNm);
  tmpFile.open("w");
  szB64 = new Array();
  keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"; // Accepted b64 chars
  for (j = 0; j < 64; j++) {
    szB64[j] = keyStr.charAt(j);
  }
  ecdStr = "";
  counter = 0;
  // 返回值
  res = "";
  binLen = binStr.length - (binStr.length % 3);
  for (i = 0; i < binLen; i += 3) {
    // Get 3 chars starting at the begining of the binary string
    ecdStr += szB64[binStr.charCodeAt(i) >> 2];
    ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
    ecdStr += szB64[((binStr.charCodeAt(i + 1) & 15) << 2) | (binStr.charCodeAt(i + 2) >> 6)];
    ecdStr += szB64[binStr.charCodeAt(i + 2) & 0x3f];
    counter += 4;
    if (counter > 75) {
      // when hit the limit, write the line and reset counter
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      ecdStr = "";
      counter = 0;
    }
  }
  switch (binStr.length % 3) {
    case 2: //padding 1 characters.
      ecdStr += szB64[binStr.charCodeAt(i) >> 2];
      ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
      ecdStr += szB64[((binStr.charCodeAt(i + 1) & 15) << 2) | (binStr.charCodeAt(i + 2) >> 6)];
      ecdStr += "=";
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
    case 1: //padding 2 character.
      ecdStr += szB64[binStr.charCodeAt(i) >> 2];
      ecdStr += szB64[((binStr.charCodeAt(i) & 0x3) << 4) | (binStr.charCodeAt(i + 1) >> 4)];
      ecdStr += "==";
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
    default:
      res += ecdStr;
      tmpFile.writeln(ecdStr);
      break;
  }
  tmpFile.close();
  return res;
}
function testBtn(e) {
  if (app.documents.length > 0) {
    doc = app.activeDocument;
    if (doc.layers.length > 0 && doc.layers.parent.activeLayer.name != "图层 1") {
      //  new Function(`return ${e}`)();
      eval(e + "()");
    } else {
      alert("请不要修改本图层！");
    }
  }
}
// function exportPng(path) {

//     doc = app.activeDocument;
//     var layers = doc.layers

//     doc.layers[layers.length - 1].locked = false
//     doc.layers[layers.length - 1].remove()

//     // var winPath = "C:\\\\Users\\\\Public\\\\picture.png"
//     var exportOptions = new ExportOptionsPNG8();
//     var type = ExportType.PNG8;
//     var fileSpec = new File(path);
//     exportOptions.colorCount = 8;
//     exportOptions.transparency = false;
//     app.activeDocument.exportFile(fileSpec, type, exportOptions);
//     undo()

//     doc.layers[layers.length - 1].locked = true

//     /******/
//     // for (i = 0; i < doc.layers.length; i++) {
//     //     if (doc.layers[i].name == '请勿在此设计,删改或移动') {
//     //         // alert('导出自定义设计元素')
//     //         doc.layers[i].locked = false
//     //         doc.layers[i].remove()
//     //         var exportOptions = new ExportOptionsPNG24();
//     //         var type = ExportType.PNG24;
//     //         var fileSpec = new File(path);
//     //         exportOptions.colorCount = 256;
//     //         exportOptions.antiAliasing = false;
//     //         exportOptions.transparency = false;
//     //         exportOptions.saveAsHTML = true;
//     //         app.activeDocument.exportFile(fileSpec, type, exportOptions);
//     //         undo()
//     //         doc.layers[i].locked = true
//     //     }
//     // }
// }
//预览图
function ExportAllPNG8(path) {
  exportOptions = new ExportOptionsPNG24();
  type = ExportType.PNG24;
  fileSpec = new File(path);
  exportOptions.colorCount = 256;
  exportOptions.antiAliasing = false;
  exportOptions.transparency = false;
  exportOptions.saveAsHTML = true;
  app.activeDocument.exportFile(fileSpec, type, exportOptions);
  return "1";
}
function undo() {
  app.documents.undo();
}
function redo() {
  app.documents.redo();
}
function deleteFile(info) {
  embedPicture(info);
  doc = app.activeDocument;
  file = doc.rasterItems[0].file;
  infoList = [];
  obj = new Object();
  obj.file = "data:image/png;base64," + base64(file);
  // obj.width = doc.rasterItems[0].width;
  // obj.height = doc.rasterItems[0].height;
  infoList.push(obj);
  file.remove();
  last = doc.rasterItems[0];
  last.remove();
  return JSON.stringify(infoList);
}
function getAiInstallPath() {
  doc = app.path;
  obj = new Object();
  obj.path = doc.path;
  return JSON.stringify(obj);
}
//处理用户添加的数据
function getFontsJson() {
  // alert(app.activeDocument.textFrames.length)
  // infoList = []
  // doc = app.activeDocument
  // for (i = 0; i < doc.textFrames.length; i++) {
  //     var ItemName = rasterItems[i].parent.typename
  //     if (ItemName == "Layer") {
  //         obj = new Object();
  //         obj.width = doc.textFrames[i].width;
  //         obj.height = doc.textFrames[i].height;
  //         obj.position = doc.textFrames[i].position;
  //         obj.contents = doc.textFrames[i].contents;
  //         obj.top = doc.textFrames[i].top;
  //         obj.left = doc.textFrames[i].left;
  //         // obj.name = doc.textFrames[i].textRange.characterAttributes.textFont.name
  //         // obj.family = doc.textFrames[i].textRange.characterAttributes.textFont.family
  //         // obj.style = doc.textFrames[i].textRange.characterAttributes.textFont.style
  //         // obj.typename = doc.textFrames[i].textRange.characterAttributes.textFont.typename
  //         // obj.size = doc.textFrames[i].textRange.words[0].characters[0].size;
  //         obj.type = 'font'
  //         // obj.typename = doc.textFrames[i].typename;
  //         infoList.push(obj)
  //     }
  // }
  // return JSON.stringify(infoList)
  /////////////////////////////////
  a = app.activeDocument;
  textFrames = a.textFrames;
  list = new Array();
  if (textFrames && textFrames.length) {
    for (i = 0; i < textFrames.length; i++) {
      var ItemName = textFrames[i].parent.typename;
      if (ItemName == "Layer") {
        var item = textFrames[i];
        var obj = new Object();
        obj.height = item.height;
        obj.width = item.width;
        obj.top = item.top;
        obj.left = item.left;
        obj.contents = item.contents;
        obj.type = "font";
        list.push(obj);
      }
    }
  }
  return JSON.stringify(list);
}
function getPutJson() {
  // infoList = []
  // doc = app.activeDocument
  // for (i = 0; i < doc.rasterItems.length; i++) {
  //     var ItemName = rasterItems[i].parent.typename
  //     if (ItemName == "Layer") {
  //         // var typename = doc.rasterItems[i].typename;
  //         // if (typename  == "RasterItem") {
  //         // file = doc.rasterItems[i].file
  //         obj = new Object();
  //         obj.width = doc.rasterItems[i].width;
  //         obj.height = doc.rasterItems[i].height;
  //         obj.position = doc.rasterItems[i].position;
  //         obj.top = doc.rasterItems[i].top;
  //         obj.left = doc.rasterItems[i].left;
  //         // obj.fileName = doc.rasterItems[i].file.name;
  //         obj.typename = doc.rasterItems[i].typename;
  //         obj.type = 'img'
  //         // obj.file = "data:image/png;base64," + base64(file);
  //         infoList.push(obj)
  //     }

  // }
  // return JSON.stringify(infoList)
  ///////////////////////////////
  a = app.activeDocument;
  rasterItems = a.rasterItems;
  list = new Array();
  if (rasterItems && rasterItems.length) {
    for (i = 0; i < rasterItems.length; i++) {
      var ItemName = rasterItems[i].parent.typename;
      if (ItemName == "Layer") {
        var item = rasterItems[i];
        // file = item.file
        var obj = new Object();
        obj.height = item.height;
        obj.width = item.width;
        obj.top = item.top;
        obj.left = item.left;
        // obj.file = "data:image/png;base64," + base64(file);
        obj.type = "img";
        list.push(obj);
      }
    }
  }
  return JSON.stringify(list);
}
function getOuterJson() {
  // infoList = []
  // doc = app.activeDocument
  // for (i = 0; i < doc.placedItems.length; i++) {
  //     // var ItemName = placedItems[i].parent.typename
  //     // alert(ItemName)
  //     // if (ItemName == "Layer") {
  //     file = doc.placedItems[i].file
  //     obj = new Object();
  //     obj.width = doc.placedItems[i].width;
  //     obj.height = doc.placedItems[i].height;
  //     obj.position = doc.placedItems[i].position;
  //     obj.top = doc.placedItems[i].top;
  //     obj.left = doc.placedItems[i].left;
  //     obj.type = 'img'
  //     obj.fileName = doc.placedItems[i].file.name;
  //     obj.file = "data:image/png;base64," + base64(file);
  //     infoList.push(obj)
  //     // }
  // }
  // return JSON.stringify(infoList)
  //////////////////////////////////
  a = app.activeDocument;
  placedItems = a.placedItems;
  list = new Array();
  if (placedItems && placedItems.length) {
    for (i = 0; i < placedItems.length; i++) {
      var ItemName = placedItems[i].parent.typename;
      if (ItemName == "Layer") {
        var item = placedItems[i];
        // file = item.file
        var obj = new Object();
        obj.height = item.height;
        obj.width = item.width;
        obj.top = item.top;
        obj.left = item.left;
        // obj.file = "data:image/png;base64," + base64(file);
        obj.type = "img";
        list.push(obj);
      }
    }
  }
  return JSON.stringify(list);
}

function getOuterJson3d() {
  var infoList = [];
  var doc = app.activeDocument;
  for (var i = 0; i < doc.placedItems.length; i++) {
    var file = doc.placedItems[i].file;
    var obj = new Object();
    obj.width = doc.placedItems[i].width;
    obj.height = doc.placedItems[i].height;
    obj.position = doc.placedItems[i].position;
    obj.top = doc.placedItems[i].top;
    obj.left = doc.placedItems[i].left;
    obj.type = "img";
    obj.fileName = doc.placedItems[i].file.name;
    // obj.file = "data:image/png;base64," + base64(file);
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
function getPutJson3d() {
  var infoList = [];
  var doc = app.activeDocument;
  for (var i = 0; i < doc.rasterItems.length; i++) {
    var file = doc.rasterItems[i].file;
    var obj = new Object();
    obj.width = doc.rasterItems[i].width;
    obj.height = doc.rasterItems[i].height;
    obj.position = doc.rasterItems[i].position;
    obj.top = doc.rasterItems[i].top;
    obj.left = doc.rasterItems[i].left;
    obj.fileName = doc.rasterItems[i].file.name;
    obj.type = "img";
    // obj.file = "data:image/png;base64," + base64(file);
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}
function getFontsJson3d() {
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.textFrames.length; i++) {
    obj = new Object();
    obj.width = doc.textFrames[i].width;
    obj.height = doc.textFrames[i].height;
    obj.position = doc.textFrames[i].position;
    obj.contents = doc.textFrames[i].contents;
    obj.top = doc.textFrames[i].top;
    obj.left = doc.textFrames[i].left;
    obj.name = doc.textFrames[i].textRange.characterAttributes.textFont.name;
    obj.family = doc.textFrames[i].textRange.characterAttributes.textFont.family;
    obj.style = doc.textFrames[i].textRange.characterAttributes.textFont.style;
    obj.typename = doc.textFrames[i].textRange.characterAttributes.textFont.typename;
    obj.size = doc.textFrames[i].textRange.words[0].characters[0].size;
    obj.type = "font";
    obj.typename = doc.textFrames[i].typename;
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}

//处理复合路径的svg
function compoundPathItems() {
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.compoundPathItems.length; i++) {
    obj = new Object();
    lineListX = new Array();
    lineListY = new Array();
    obj.width = doc.compoundPathItems[i].width;
    obj.height = doc.compoundPathItems[i].height;
    for (s = 0; s < doc.compoundPathItems[i].pathItems.length; s++) {
      lineListX[s] = doc.compoundPathItems[i].pathItems[s].left;
      lineListY[s] = doc.compoundPathItems[i].pathItems[s].top;
    }
    lineListX[lineListX.length] = doc.compoundPathItems[i].left;
    lineListY[lineListY.length] = doc.compoundPathItems[i].top;
    obj.lineListX = lineListX;
    obj.lineListY = lineListY;
    obj.type = "img";
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}

//处理单路径的svg
function handleLonePathItems(pathItemLn) {
  var doc = app.activeDocument;
  //当前刀线的数量
  var layers = doc.layers;
  var list = next(layers, []);
  var arr = [];
  for (l = 0; l < list.length; l++) {
    if (list[l].name.indexOf("删改或移动") == -1) {
      var pathItems = list[l].pathItems;
      for (p = 0; p < pathItems.length; p++) {
        var item = new Object();
        item.width = pathItems[p].width;
        item.height = pathItems[p].height;
        item.position = pathItems[p].position;
        item.top = pathItems[p].top;
        item.left = pathItems[p].left;
        item.guides = pathItems[p].guides;
        arr.push(item);
      }
    }
  }
  return JSON.stringify(arr);
  // for (i = 0; i < nowPathLn - pathItemLn; i++) {
  //     obj = new Object();
  //     obj.width = doc.pathItems[i].width;
  //     obj.height = doc.pathItems[i].height;
  //     obj.position = doc.pathItems[i].position;
  //     obj.top = doc.pathItems[i].top;
  //     obj.left = doc.pathItems[i].left;
  //     obj.type = 'img'
  //     infoList.push(obj)
  // }
  // return JSON.stringify(infoList)
}

function getNewPathJson(num) {
  infoList = [];
  doc = app.activeDocument;
  for (i = 0; i < doc.pathItems.length; i++) {
    obj = new Object();
    obj.width = doc.pathItems[i].width;
    obj.height = doc.pathItems[i].height;
    // obj.position = doc.pathItems[i].position;
    obj.top = doc.pathItems[i].top;
    obj.left = doc.pathItems[i].left;
    obj.controlBounds = doc.pathItems[i].controlBounds;
    infoList.push(obj);
  }
  return JSON.stringify(infoList);
}

function getNowName() {
  doc = app.activeDocument;
  var documents = app.documents;
  var name = "";
  if (documents && documents.length) {
    name = app.activeDocument.name;
  }

  return JSON.stringify(name);
}

//每个置入的svg作为图片单独导出并保存
function exportSvgToPngSingle(infos) {
  var a = app.activeDocument;
  var groupItems = a.groupItems;
  if (groupItems && groupItems.length) {
    groupItems[infos.index].selected = true;

    if (infos.e2 && infos.e2 > 0) {
      var docAssets = a.assets;
      var assetIDArray = new Array();
      var itemToExport = new ExportForScreensItemToExport();
      itemToExport.artboards = "";
      itemToExport.document = false;
      var assetArray = new Array();
      for (var i = 0; i < app.selection.length; i++) {
        var asset = docAssets.add(app.selection[i]);
        assetIDArray.push(asset.assetID);
      }
      itemToExport.assets = assetIDArray;
      var options = new ExportForScreensOptionsWebOptimizedSVG();
      app.activeDocument.exportForScreens(
        File("/Applications"),
        ExportForScreensType.SE_SVG,
        options,
        itemToExport
      );
    }
    var exportOptions = new ExportOptionsPNG8();
    exportOptions.colorCount = 8;
    exportOptions.transparency = true;
    var fileSpec = new File(infos.path);
    //导出画板中选中的内容
    app.activeDocument.exportSelectionAsPNG(fileSpec);
    var obj = new Array(groupItems[infos.index].position[0], groupItems[infos.index].position[1]);
    // undo()
    return JSON.stringify(obj);
  } else {
    var obj = new Array();
    return JSON.stringify(obj);
  }
}

//获取置入的svg最外层图层的位置
function getUserGroupItemsIndex() {
  a = app.activeDocument;
  groupItems = a.groupItems;
  list = new Array();
  if (groupItems && groupItems.length) {
    for (i = 0; i < groupItems.length; i++) {
      list[i] = groupItems[i].parent.typename;
    }
  }
  return JSON.stringify(list);
}
//获取最外层编组的top...height等信息
function getUserGroupItemsInfo() {
  a = app.activeDocument;
  groupItems = a.groupItems;
  list = new Array();
  if (groupItems && groupItems.length) {
    for (i = 0; i < groupItems.length; i++) {
      var ItemName = groupItems[i].parent.typename;
      if (ItemName == "Layer") {
        var groupItem = groupItems[i];
        var obj = new Object();
        obj.height = groupItem.height;
        obj.width = groupItem.width;
        obj.top = groupItem.top;
        obj.left = groupItem.left;

        obj.visibleBounds = groupItem.visibleBounds;
        obj.position = groupItem.position;
        obj.geometricBounds = groupItem.geometricBounds;
        obj.controlBounds = groupItem.controlBounds;

        list.push(obj);
      }
    }
  }
  return JSON.stringify(list);
}
function next(layers, arr) {
  for (i = 0; i < layers.length; i++) {
    var layer = layers[i];
    arr.push(layer);
    // if (layers[i].layers && layers[i].layers.length) {
    //     next(layers[i].layers, arr)
    // }
  }
  return arr;
}
function getDocumentAfterActivateId() {
  var documents = app.documents;
  var list = [];
  if (documents.length) {
    var doc = app.activeDocument;
    var layers = doc.layers;
    var arr = next(layers, []);
    for (i = 0; i < arr.length; i++) {
      var name = arr[i].name;
      list.push(name);
    }
  }
  return JSON.stringify(list);

  // var name = layers[ç.length - 1].name
}

function next1(layers, path, isClear) {
  doc = app.activeDocument;
  for (i = 0; i < layers.length; i++) {
    var layer = layers[i];
    var name = layer.name;
    // alert(name)
    // alert(layer.layers.length)
    if (layer.name.indexOf("删改或移动") != -1) {
      layer.locked = false;
      layer.remove();
      // var exportOptions = new ExportOptionsPNG8();
      // var type = ExportType.PNG8;
      // var fileSpec = new File(path);
      // exportOptions.colorCount = 8;
      // exportOptions.transparency = true;
      // app.activeDocument.exportFile(fileSpec, type, exportOptions);

      // var exportOptions = new ExportOptionsSVG();
      // var type = ExportType.SVG;
      // var fileSpec = new File(path);
      // exportOptions.embedRasterImages = true;
      // exportOptions.embedAllFonts = false;
      // exportOptions.fontSubsetting = SVGFontSubsetting.GLYPHSUSED;
      // app.activeDocument.exportFile(fileSpec, type, exportOptions);

      var exportOptions = new ExportOptionsPNG24();
      var type = ExportType.PNG24;
      var fileSpec = new File(path);
      exportOptions.antiAliasing = false;
      exportOptions.transparency = true;
      exportOptions.saveAsHTML = true;
      // 提供清晰度 这么设置尺寸可能有上限问题
      if (isClear) {
        exportOptions.verticalScale = 200;
        exportOptions.horizontalScale = 200;
      }
      app.activeDocument.exportFile(fileSpec, type, exportOptions);
      undo();

      layer.locked = true;

      return "1";
    }
    // else if (layer.name.indexOf("删改或移动") == -1 && layer.layers && layer.layers.length) {
    //     next1(layer.layers, path)
    // }
  }
}

function exportPng(path) {
  doc = app.activeDocument;
  var layers = doc.layers;
  // alert(layers.length)
  next1(layers, path, false);
}

function exportPng2X(path) {
  doc = app.activeDocument;
  var layers = doc.layers;
  // alert(layers.length)
  next1(layers, path, true);
}

function removePosition() {
  // doc = app.activeDocument;
  // var layers = doc.layers
  // for (i = 0; i < layers.length; i++) {
  //     var layer = layers[i]
  //     if (layer.name.indexOf("包小盒定位") != -1) {
  //         layer.remove()
  //     }
  // }

  if (app.documents.length > 0) {
    var layers = app.activeDocument.layers;
    for (i = 0; i < layers.length; i++) {
      var layer = layers[i];
      if (layer.name.indexOf("pos") != -1) {
        layer.remove();
        // alert(1)
        // var lays = layer.layers
        // for (i = 0; i < lays.length; i++) {
        //     var l = lays[i]
        //     if (l.name.indexOf("定位图层") != -1) {
        //         alert(2)
        //         l.remove()
        //     }

        // }
      }
    }
  }
}

function getDocumentsLength() {
  var documents = app.documents;
  var length = documents.length;
  return JSON.stringify(length);
}

function allSelectFalse() {
  var docSelected = app.activeDocument.selection;
  if (docSelected.length > 0) {
    for (i = 0; i < docSelected.length; i++) {
      docSelected[i].selected = false;
    }
  }
  return "1";
}

function isIsolatedAlert() {
  var doc = app.activeDocument;
  var layers = doc.layers;
  for (i = 0; i < layers.length; i++) {
    var layer = layers[i];
    var name = layer.name;
    if (name == "隔离模式") {
      alert("请取消隔离模式再进行操作");
      return "0";
    } else {
      return "1";
    }
  }
}

function changeLayersName(n) {
  var doc = app.activeDocument;
  var layers = doc.layers;
  for (i = 0; i < layers.length; i++) {
    var layer = layers[i];
    if (layer.name.indexOf("删改或移动") != -1) {
      layer.locked = false;
      layer.name = n;
      layer.locked = true;
    }
  }
}
